package com.example.mygym.components

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import com.example.mygym.MainViewModel


@Composable
fun auth(navController: NavController) {
    val viewModel = MainViewModel()
    val email = remember { mutableStateOf("") }
    val password = remember { mutableStateOf("") }
    Column(
        Modifier.padding(top = 30.dp, start = 15.dp, end = 15.dp),
        verticalArrangement = Arrangement.Top,
        horizontalAlignment = Alignment.CenterHorizontally

    ) {
        Text(
            text = "MyGym", fontSize = 30.sp, color = Color(0xFF000000),
            modifier = Modifier.padding(top = 100.dp, bottom = 20.dp, start = 15.dp)
        )
        TextField(
            value = email.value,
            onValueChange = { email.value = it },
            textStyle = TextStyle(fontSize = 15.sp),
            modifier = Modifier
                .padding(15.dp)
                .fillMaxWidth(),
            placeholder = { Text("Email") }
        )

        var passwordVisibility: Boolean by remember { mutableStateOf(false) }
        TextField(
            value = password.value,
            onValueChange = { password.value = it },
            textStyle = TextStyle(fontSize = 15.sp),
            modifier = Modifier
                .padding(15.dp)
                .fillMaxWidth(),
            placeholder = { Text("Password") }
        )

        Button(onClick = {
            viewModel.onSignInEmailPassword(email.value, password.value){
                navController.navigate("membership_screen")
            }
        }){
            Text("Sign In", fontSize = 20.sp)
        }
        Button(onClick = {
            viewModel.onSignUpEmail(email.value,password.value)
        }){
            Text("Sign Up", fontSize = 20.sp)
        }


    }

}